<?php
/*
Plugin Name: WordBridge Pro
Plugin URI: http://www.cognidox.com/opensource/wordbridge-wordpress-to-joomla-bridge
Description: <p>This plugin allows a Joomla site using the WordBridge component to use a self-hosted WordPress blog. </p><p><strong>In order to use this plugin, please follow these steps</strong>: </p><p> <strong>(1)</strong> Download and install the Joomla component from the <a href="http://www.cognidox.com/opensource/wordbridge-wordpress-to-joomla-bridge">WordBridge component page</a> in your Joomla site.</p><p> <strong>(2)</strong> Configure this WordPress site as shown on <a href="https://github.com/cognidox/WordBridge/wiki#wiki-WordPressSettings" target="_blank">the WordBridge Wiki</a>.</p><p> <strong>(3)</strong> Create a Joomla menu item for this WordPress site as shown in the <a href="http://www.cognidox.com/cognidox/download/VI-402312-TM-LATEST.swf" target="_blank">tutorial video</a>.</p>
Version: 1.1
Author: Cognidox Ltd
Author URI: http://www.cognidox.com
License: GPL2
*/

if ( ! class_exists( 'JoomlaWordBridge' ) ) {
	class JoomlaWordBridge {
		/**
		 * wordBridgeBlogInfoRSS
		 *
		 * Generate RSS data about this blog
		 */
		function blogInfoRSS() {
			// Get some info about the last post
			$lastPosts = get_posts( array( 'numberposts' => 1 ) );
			header('Content-Type: ' . feed_content_type('rss-http') . '; charset=' . get_option('blog_charset'), true);
			echo '<?xml version="1.0" encoding="'.get_option('blog_charset').'"?'.'>';
			echo '<rss version="2.0" xmlns:content="http://purl.org/rss/1.0/modules/content/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:atom="http://www.w3.org/2005/Atom" xmlns:sy="http://purl.org/rss/1.0/modules/syndication/" xmlns:wordbridge="http://www.cognidox.com/WordBridge/">';
			echo '<channel>';
			echo '<title>';
			bloginfo_rss('name');
			echo '</title><description>';
			bloginfo_rss('description');
			echo '</description>';
			echo sprintf( '<wordbridge:id>%s</wordbridge:id>', get_current_blog_id() );
			echo sprintf( '<wordbridge:count>%s</wordbridge:count>', wp_count_posts()->publish );
			if ( count( $lastPosts ) ) {
				echo sprintf( '<wordbridge:last_post_id>%s</wordbridge:last_post_id>', $lastPosts[0]->ID );
				setup_postdata( $lastPosts[0] );
				echo '<wordbridge:last_post>';
				echo the_content();
				echo '</wordbridge:last_post>';
			} else {
				echo '<wordbridge:last_post_id /><wordbridge:last_post />';
			}
			echo '</channel>';
			echo '</rss>';
		}

		function initFeed() {
			add_feed( 'wordbridge', array( 'JoomlaWordBridge', 'blogInfoRSS' ) );
		}
	}
}

add_action( 'init', array( 'JoomlaWordBridge', 'initFeed' ) );

?>
